Skip to main content
GET
Get usage terms

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Query Parameters

from
string<date>

Include terms ending on or after this UTC date. No lower bound by default.

to
string<date>

Include terms starting on or before this UTC date. No upper bound by default.

limit
integer
default:100
Required range: 1 <= x <= 500
nextId
string

Query-bound cursor. Live reads do not freeze measurements or prices.

Required string length: 1 - 4096

Response

Successful

data
object[]
required
nextId
string | null
required